> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/references/console/console-saml.md).

# Console Saml

## GET /samlconsole

> Download the saml.xml configuration file

```json
{"openapi":"3.0.3","info":{"title":"Collibra Management Console","version":"v1"},"servers":[{"url":"/rest"}],"paths":{"/samlconsole":{"get":{"operationId":"getFile_2","responses":{"200":{"description":"The file"},"204":{"description":"File does not exist"}},"summary":"Download the saml.xml configuration file","tags":["console-saml"]}}}}
```

## POST /samlconsole

> Update the saml.xml configuration by uploading a new file

```json
{"openapi":"3.0.3","info":{"title":"Collibra Management Console","version":"v1"},"servers":[{"url":"/rest"}],"paths":{"/samlconsole":{"post":{"operationId":"uploadFile","requestBody":{"content":{"multipart/form-data":{"schema":{"$ref":"#/components/schemas/FormDataMultiPart"}}},"required":true},"responses":{"204":{"description":"File uploaded"},"500":{"description":"File failed to upload"}},"summary":"Update the saml.xml configuration by uploading a new file","tags":["console-saml"]}}},"components":{"schemas":{"FormDataMultiPart":{"type":"object","properties":{"bodyParts":{"type":"array","items":{"$ref":"#/components/schemas/BodyPart"}},"contentDisposition":{"$ref":"#/components/schemas/ContentDisposition"},"entity":{"type":"object"},"fields":{"type":"object","additionalProperties":{"type":"array","items":{"$ref":"#/components/schemas/FormDataBodyPart"}}},"headers":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}},"properties":{"empty":{"type":"boolean"}}},"mediaType":{"$ref":"#/components/schemas/MediaType"},"messageBodyWorkers":{"$ref":"#/components/schemas/MessageBodyWorkers"},"parameterizedHeaders":{"$ref":"#/components/schemas/MultivaluedMapStringParameterizedHeader"},"parent":{"$ref":"#/components/schemas/MultiPart"},"providers":{"$ref":"#/components/schemas/Providers"}}},"BodyPart":{"type":"object","properties":{"contentDisposition":{"$ref":"#/components/schemas/ContentDisposition"},"entity":{"type":"object"},"headers":{"$ref":"#/components/schemas/MultivaluedMapStringString"},"mediaType":{"$ref":"#/components/schemas/MediaType"},"messageBodyWorkers":{"$ref":"#/components/schemas/MessageBodyWorkers"},"parameterizedHeaders":{"type":"object","additionalProperties":{"type":"array","items":{"$ref":"#/components/schemas/ParameterizedHeader"}},"properties":{"empty":{"type":"boolean"}}},"parent":{"$ref":"#/components/schemas/MultiPart"},"providers":{"$ref":"#/components/schemas/Providers"}}},"ContentDisposition":{"type":"object","properties":{"creationDate":{"type":"string","format":"date-time"},"fileName":{"type":"string"},"modificationDate":{"type":"string","format":"date-time"},"parameters":{"type":"object","additionalProperties":{"type":"string"}},"readDate":{"type":"string","format":"date-time"},"size":{"type":"integer","format":"int64"},"type":{"type":"string"}}},"MultivaluedMapStringString":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}},"properties":{"empty":{"type":"boolean"}}},"MediaType":{"type":"object","properties":{"parameters":{"type":"object","additionalProperties":{"type":"string"}},"subtype":{"type":"string"},"type":{"type":"string"},"wildcardSubtype":{"type":"boolean"},"wildcardType":{"type":"boolean"}}},"MessageBodyWorkers":{"type":"object"},"ParameterizedHeader":{"type":"object","properties":{"parameters":{"type":"object","additionalProperties":{"type":"string"}},"value":{"type":"string"}}},"MultiPart":{"type":"object","properties":{"bodyParts":{"type":"array","items":{"$ref":"#/components/schemas/BodyPart"}},"contentDisposition":{"$ref":"#/components/schemas/ContentDisposition"},"entity":{"type":"object"},"headers":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}},"properties":{"empty":{"type":"boolean"}}},"mediaType":{"$ref":"#/components/schemas/MediaType"},"messageBodyWorkers":{"$ref":"#/components/schemas/MessageBodyWorkers"},"parameterizedHeaders":{"$ref":"#/components/schemas/MultivaluedMapStringParameterizedHeader"},"parent":{"$ref":"#/components/schemas/MultiPart"},"providers":{"$ref":"#/components/schemas/Providers"}}},"MultivaluedMapStringParameterizedHeader":{"type":"object","additionalProperties":{"type":"array","items":{"$ref":"#/components/schemas/ParameterizedHeader"}},"properties":{"empty":{"type":"boolean"}}},"Providers":{"type":"object"},"FormDataBodyPart":{"type":"object","properties":{"content":{"type":"object"},"contentDisposition":{"$ref":"#/components/schemas/ContentDisposition"},"entity":{"type":"object"},"fileName":{"type":"string"},"formDataContentDisposition":{"$ref":"#/components/schemas/FormDataContentDisposition"},"headers":{"$ref":"#/components/schemas/MultivaluedMapStringString"},"mediaType":{"$ref":"#/components/schemas/MediaType"},"messageBodyWorkers":{"$ref":"#/components/schemas/MessageBodyWorkers"},"name":{"type":"string"},"parameterizedHeaders":{"type":"object","additionalProperties":{"type":"array","items":{"$ref":"#/components/schemas/ParameterizedHeader"}},"properties":{"empty":{"type":"boolean"}}},"parent":{"$ref":"#/components/schemas/MultiPart"},"providers":{"$ref":"#/components/schemas/Providers"},"simple":{"type":"boolean"},"value":{"type":"string"}}},"FormDataContentDisposition":{"type":"object","properties":{"creationDate":{"type":"string","format":"date-time"},"fileName":{"type":"string"},"modificationDate":{"type":"string","format":"date-time"},"name":{"type":"string"},"parameters":{"type":"object","additionalProperties":{"type":"string"}},"readDate":{"type":"string","format":"date-time"},"size":{"type":"integer","format":"int64"},"type":{"type":"string"}}}}}}
```

## DELETE /samlconsole

> Remove the saml.xml configuration file

```json
{"openapi":"3.0.3","info":{"title":"Collibra Management Console","version":"v1"},"servers":[{"url":"/rest"}],"paths":{"/samlconsole":{"delete":{"operationId":"remove","responses":{"200":{"description":"File removed"}},"summary":"Remove the saml.xml configuration file","tags":["console-saml"]}}}}
```

## Changes the certificate to be used with SAML

> Replaces the currently used certificate with the one uploaded in PEM format. The PEM file must be unencrypted (no password) and contain both the certificate and the private key.

```json
{"openapi":"3.0.3","info":{"title":"Collibra Management Console","version":"v1"},"servers":[{"url":"/rest"}],"paths":{"/samlconsole/certificate":{"post":{"description":"Replaces the currently used certificate with the one uploaded in PEM format. The PEM file must be unencrypted (no password) and contain both the certificate and the private key.","operationId":"changeCertificate","requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"file":{"type":"object"}}}}}},"responses":{"200":{"description":"Certificate successfully changed"}},"summary":"Changes the certificate to be used with SAML","tags":["console-saml"]}}}}
```

## Delete the specified SAML certificate from the SAML keystore.

> Delete the certificate from the SAML keystore and replace it with a generated certificate as done by default.

```json
{"openapi":"3.0.3","info":{"title":"Collibra Management Console","version":"v1"},"servers":[{"url":"/rest"}],"paths":{"/samlconsole/certificate":{"delete":{"description":"Delete the certificate from the SAML keystore and replace it with a generated certificate as done by default.","operationId":"deleteCertificate","responses":{"200":{"description":"The certificate was successfully deleted."}},"summary":"Delete the specified SAML certificate from the SAML keystore.","tags":["console-saml"]}}}}
```

## GET /samlconsole/metadata

> Returns the SAML Service Provider metadata for this instance.

```json
{"openapi":"3.0.3","info":{"title":"Collibra Management Console","version":"v1"},"servers":[{"url":"/rest"}],"paths":{"/samlconsole/metadata":{"get":{"operationId":"getSPMetadataAsString","parameters":[{"in":"query","name":"complete","schema":{"type":"boolean"}}],"responses":{"200":{"description":"metadata successfully found."}},"summary":"Returns the SAML Service Provider metadata for this instance.","tags":["console-saml"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.collibra.com/api/references/console/console-saml.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
